/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

const formHtml = `
<!DOCTYPE html>
<html>
  <head>
    <title>Moderation Logs</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="This page lists all of our community moderation sanctions." />
    <script src="https://cdn.nhcarrigan.com/headers/index.js" async defer></script>
  </head>
  <body>
    <main>
    <h1>Log A Sanction</h1>
    <section>
      <p>This page allows our staff to log an official sanction from one of our platforms.</p>
    </section>
    <form action="/log" method="post">
        <input type="text" name="uuid" placeholder="User UUID" required />
        <select name="platform" required>
            <option value="forum">Forum</option>
            <option value="irc">IRC</option>
            <option value="gitea">Code Repositories</option>
            <option value="fediverse">Fediverse</option>
        </select>
        <select name="action" required>
            <option value="Ban">Ban</option>
            <option value="Kick">Kick</option>
            <option value="Mute">Mute</option>
            <option value="Warn">Warn</option>
            <option value="Suspend">Suspend</option>
        </select>
        <input type="text" name="reason" placeholder="Reason" required />
        <input type="password" name="token" placeholder="Staff Token" required />
        <button type="submit">Log Sanction</button>
    </form>
    </main>
  </body>
</html>
`;

const revokeHtml = `
<!DOCTYPE html>
<html>
  <head>
    <title>Moderation Logs</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="This page lists all of our community moderation sanctions." />
    <script src="https://cdn.nhcarrigan.com/headers/index.js" async defer></script>
  </head>
  <body>
    <main>
    <h1>Revoke A Sanction</h1>
    <section>
      <p>This page allows our staff to indicate a sanction has been successfully appealed.</p>
    </section>
    <form action="/revoke" method="post">
        <input type="number" name="case" placeholder="Sanction Number" required />
        <input type="text" name="reason" placeholder="Reason" required />
        <input type="password" name="token" placeholder="Staff Token" required />
        <button type="submit">Revoke Sanction</button>
    </form>
    </main>
  </body>
</html>
`;

export { formHtml, revokeHtml };
